#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "pixel.h"
#include "vectorField.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
	
		ofColor HSVtoRGB( float hue, float sat, float val );
		
		void keyPressed  (int key);
		void keyReleased (int key);
		
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		// let's make a vector of them
		vector< pixel > pixels;
		vectorField VF;
	
		int drawingStyle;
		bool bFade;
	
};

#endif
	
